Задача G:
#include <iostream>
#include <cmath>
using namespace std;
int main() {
    int a, t=0, s=0, l;
    cin >> a;
    l=a;
    while (l>0) {
        s++;
        l=l/10;
    }
    while (a>0) {
        for (int i=s; i>0; i--) {
            if (a%10 == 5) {
                t=t+(2*pow(10, i));
            } 
            else if (a%10 == 2){
                t=t+(5*pow(10, i));
            }
            else {
                t=t+((a%10)*pow(10, i));
            }
            a=a/10;
        }
    }
    cout << t/10;
    return 0;
}